Page MenuHomePhabricator

Move noc.wikimedia.org to kubernetes
Closed, ResolvedPublic

Description

noc.wikimedia.org right now points to mwmaint1002, and uses a docroot nested inside mediawiki-config.

The reason for that is that noc.w.o needs to access mediawiki's code.

To move it to kubernetes I propose the following:

  • we create a deployment called noc-site in deployment-charts, using the mediawiki chart
  • we might need to add ingress support to the mediawiki chart, as with the amount of traffic I'd expect here, an LVS endpoint would be overkill
  • override the mw.sites setup to include just a site crafted for the noc subsite
  • Move the pointer in trafficserver

for https://noc.wikimedia.org/dbconfig/eqiad.json which is populated by a cronjob at the moment, we can instead create a small php script and reply on the fly.

Details

ReferenceSource BranchDest BranchAuthorTitle
repos/releng/release!38add_noc_to_imagesmainoblivianInclude docroot/noc in the image we build
Customize query in GitLab

Event Timeline

Reedy renamed this task from Move noc.wikimedia.org to kubernetes. to Move noc.wikimedia.org to kubernetes.Jul 14 2023, 2:35 PM

Change 938644 had a related patch set uploaded (by Giuseppe Lavagetto; author: Giuseppe Lavagetto):

[operations/mediawiki-config@master] noc: add script to dump etcd db config

https://gerrit.wikimedia.org/r/938644

Change 938645 had a related patch set uploaded (by Giuseppe Lavagetto; author: Giuseppe Lavagetto):

[operations/mediawiki-config@master] noc/db.php: use the new etcd fetch function

https://gerrit.wikimedia.org/r/938645

Change 938818 had a related patch set uploaded (by Giuseppe Lavagetto; author: Giuseppe Lavagetto):

[operations/puppet@production] noc: stop using script to populate database data URIs

https://gerrit.wikimedia.org/r/938818

Change 938644 merged by jenkins-bot:

[operations/mediawiki-config@master] noc: add script to dump etcd db config

https://gerrit.wikimedia.org/r/938644

Mentioned in SAL (#wikimedia-operations) [2023-07-20T07:16:19Z] <ariel@deploy1002> Started scap: Backport for [[gerrit:938644|noc: add script to dump etcd db config (T341859)]]

Mentioned in SAL (#wikimedia-operations) [2023-07-20T07:17:51Z] <ariel@deploy1002> oblivian and ariel: Backport for [[gerrit:938644|noc: add script to dump etcd db config (T341859)]] synced to the testservers mwdebug1001.eqiad.wmnet, mwdebug1002.eqiad.wmnet, mwdebug2001.codfw.wmnet, mwdebug2002.codfw.wmnet, and mw-debug kubernetes deployment (accessible via k8s-experimental XWD option)

Mentioned in SAL (#wikimedia-operations) [2023-07-20T07:25:55Z] <ariel@deploy1002> Finished scap: Backport for [[gerrit:938644|noc: add script to dump etcd db config (T341859)]] (duration: 09m 35s)

Change 938645 merged by jenkins-bot:

[operations/mediawiki-config@master] noc/db.php: use the new etcd fetch function

https://gerrit.wikimedia.org/r/938645

Mentioned in SAL (#wikimedia-operations) [2023-07-20T07:27:33Z] <ariel@deploy1002> Started scap: Backport for [[gerrit:938645|noc/db.php: use the new etcd fetch function (T341859)]]

Mentioned in SAL (#wikimedia-operations) [2023-07-20T07:29:05Z] <ariel@deploy1002> oblivian and ariel: Backport for [[gerrit:938645|noc/db.php: use the new etcd fetch function (T341859)]] synced to the testservers mwdebug2002.codfw.wmnet, mwdebug2001.codfw.wmnet, mwdebug1002.eqiad.wmnet, mwdebug1001.eqiad.wmnet, and mw-debug kubernetes deployment (accessible via k8s-experimental XWD option)

Change 938818 merged by Giuseppe Lavagetto:

[operations/puppet@production] noc: stop using script to populate database data URIs

https://gerrit.wikimedia.org/r/938818

Mentioned in SAL (#wikimedia-operations) [2023-07-20T07:36:47Z] <ariel@deploy1002> Finished scap: Backport for [[gerrit:938645|noc/db.php: use the new etcd fetch function (T341859)]] (duration: 09m 14s)

Joe changed the task status from Open to In Progress.Jul 20 2023, 12:01 PM
Joe claimed this task.
Joe triaged this task as Medium priority.
Joe moved this task from Incoming 🐫 to Doing 😎 on the serviceops board.

Change 940186 had a related patch set uploaded (by Giuseppe Lavagetto; author: Giuseppe Lavagetto):

[operations/puppet@production] kubernetes: add mw-misc "service"

https://gerrit.wikimedia.org/r/940186

Change 940198 had a related patch set uploaded (by Giuseppe Lavagetto; author: Giuseppe Lavagetto):

[operations/deployment-charts@master] admin: add mw-misc namespace

https://gerrit.wikimedia.org/r/940198

Change 941403 had a related patch set uploaded (by Giuseppe Lavagetto; author: Giuseppe Lavagetto):

[operations/dns@master] Add mw-misc service under ingress

https://gerrit.wikimedia.org/r/941403

Change 941429 had a related patch set uploaded (by Giuseppe Lavagetto; author: Giuseppe Lavagetto):

[operations/puppet@production] service::catalog: add mw-misc

https://gerrit.wikimedia.org/r/941429

Change 940186 merged by Giuseppe Lavagetto:

[operations/puppet@production] kubernetes: add mw-misc "service"

https://gerrit.wikimedia.org/r/940186

Change 940198 merged by jenkins-bot:

[operations/deployment-charts@master] admin: add mw-misc namespace

https://gerrit.wikimedia.org/r/940198

Change 941403 merged by Giuseppe Lavagetto:

[operations/dns@master] Add mw-misc service under ingress

https://gerrit.wikimedia.org/r/941403

Change 941429 merged by Giuseppe Lavagetto:

[operations/puppet@production] service::catalog: add mw-misc

https://gerrit.wikimedia.org/r/941429

Change 942064 had a related patch set uploaded (by Giuseppe Lavagetto; author: Giuseppe Lavagetto):

[operations/deployment-charts@master] mw-misc: configure ingress for noc.wikimedia.org

https://gerrit.wikimedia.org/r/942064

Change 942064 merged by jenkins-bot:

[operations/deployment-charts@master] mw-misc: configure ingress for noc.wikimedia.org

https://gerrit.wikimedia.org/r/942064

sadly more issues were found under conf/:

  • activeMWVersions.php shells out to scap which in turn just json decodes a file on disk.
  • index.php tries to read /etc/conftool-state/mediawiki.yaml to get the mediawiki datacenter.
  • We want all the txt files to be served by the backend instead than as static files.

Change 942607 had a related patch set uploaded (by Giuseppe Lavagetto; author: Giuseppe Lavagetto):

[operations/puppet@production] noc: stop serving static files from symlinks

https://gerrit.wikimedia.org/r/942607

Change 942671 had a related patch set uploaded (by Giuseppe Lavagetto; author: Giuseppe Lavagetto):

[operations/mediawiki-config@master] noc: unify methods to fetch the current wiki versions

https://gerrit.wikimedia.org/r/942671

Change 942672 had a related patch set uploaded (by Giuseppe Lavagetto; author: Giuseppe Lavagetto):

[operations/mediawiki-config@master] noc: don't use on-disk files but etcd directly

https://gerrit.wikimedia.org/r/942672

Change 942673 had a related patch set uploaded (by Giuseppe Lavagetto; author: Giuseppe Lavagetto):

[operations/mediawiki-config@master] noc: centralize file list management

https://gerrit.wikimedia.org/r/942673

Change 942674 had a related patch set uploaded (by Giuseppe Lavagetto; author: Giuseppe Lavagetto):

[operations/mediawiki-config@master] noc: add static file server

https://gerrit.wikimedia.org/r/942674

Change 942675 had a related patch set uploaded (by Giuseppe Lavagetto; author: Giuseppe Lavagetto):

[operations/mediawiki-config@master] noc: remove symlinks and also neutralize createTxtFileSymlinks

https://gerrit.wikimedia.org/r/942675

Clement_Goubert added a subscriber: Clement_Goubert.

I saw today that the mw-misc deployment on which noc on kubernetes relies is not updated by scap. The image is rebuilt and updated, but the helmfile deployment isn't handled. Should it be?

Change 944355 had a related patch set uploaded (by Krinkle; author: Krinkle):

[operations/mediawiki-config@master] noc: Fix various PHP errors that prevent db.php from working locally

https://gerrit.wikimedia.org/r/944355

Change 942671 merged by jenkins-bot:

[operations/mediawiki-config@master] noc: unify methods to fetch the current wiki versions

https://gerrit.wikimedia.org/r/942671

Change 942672 merged by jenkins-bot:

[operations/mediawiki-config@master] noc: don't use on-disk files but etcd directly

https://gerrit.wikimedia.org/r/942672

Change 942673 merged by jenkins-bot:

[operations/mediawiki-config@master] noc: centralize file list management

https://gerrit.wikimedia.org/r/942673

Change 942674 merged by jenkins-bot:

[operations/mediawiki-config@master] noc: add static file server

https://gerrit.wikimedia.org/r/942674

Change 942607 merged by Giuseppe Lavagetto:

[operations/puppet@production] noc: stop serving static files from symlinks

https://gerrit.wikimedia.org/r/942607

Change 942675 merged by jenkins-bot:

[operations/mediawiki-config@master] noc: remove symlinks and also neutralize createTxtFileSymlinks

https://gerrit.wikimedia.org/r/942675

Change 944840 had a related patch set uploaded (by Giuseppe Lavagetto; author: Giuseppe Lavagetto):

[operations/puppet@production] noc: switch to mw on k8s

https://gerrit.wikimedia.org/r/944840

Change 944840 merged by Giuseppe Lavagetto:

[operations/puppet@production] noc: switch to mw on k8s

https://gerrit.wikimedia.org/r/944840

Change 944844 had a related patch set uploaded (by Giuseppe Lavagetto; author: Giuseppe Lavagetto):

[operations/deployment-charts@master] mw-misc: add fileserving rewrite to noc

https://gerrit.wikimedia.org/r/944844

Change 944844 merged by jenkins-bot:

[operations/deployment-charts@master] mw-misc: add fileserving rewrite to noc

https://gerrit.wikimedia.org/r/944844

noc.wikimedia.org is migrated. I have some additional improvements I want to make but the task is solved.

Change 944355 merged by jenkins-bot:

[operations/mediawiki-config@master] noc: Fix various PHP errors that prevent db.php from working locally

https://gerrit.wikimedia.org/r/944355